All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Interface RemoteLevelTreeInterface

All Known Subinterfaces:
  LevelTreeInterface, LevelTreeV2Interface, LevelTreeV3Interface

All Known Implementing Classes:
  _rprxIOMLevelTree, _rprxIOMLevelTreeV2, _rprxIOMLevelTreeV3, _rprxJ2LevelTree, _rprxJ2LevelTreeV2, _rprxJ2LevelTreeV3, _rprxRemoteDesignTimeLevelTree, _rprxRemoteDesignTimeLevelTreeV2, _rprxRemoteDesignTimeLevelTreeV3, _rprxRemoteLevelTreeClient, _rprxRemoteLevelTreeV2Client, _rprxRemoteLevelTreeV3Client

    public interface RemoteLevelTreeInterface

RemoteLevelTreeInterface defines the remote interface that is used to talk to the SAS server to create the information needed to initialize a JavaScript Tree from a SAS data set.

RemoteLevelTreeInterface defines the remote methods which are called internally by the implementation of ParentChildInterface and which should not be called by the user.

The remote methods are implemented in SASHELP.RSCLMOD.TREE.SCL. The remote class is SASHELP.RSCLMOD.TREE.CLASS.

See Also:
  `LevelTreeInterface`, `Rocf`

Method Summary
`abstract java.lang.String` | `_getDataSet()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getDefaultIcon()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getDefaultIconColumn()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getExpandedIcon()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getExpandedIconColumn()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getIndexColumn()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getLevelColumn()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getLink()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getLinkColumn()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String[]` | `_getNameValuePairColumns()` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_getTextColumn()` This method is for internal implementation only and should not be called by the user.
`abstract com.sas.collection.hlist.HListInterface` | `_getTreeNodes()` This method is for internal implementation only and should not be called by the user.
`abstract com.sas.collection.hlist.HListInterface` | `_getWhere()` This method is for internal implementation only and should not be called by the user.
`abstract boolean` | `_isValid()` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setDataSet(java.lang.String ds)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setDefaultIcon(java.lang.String icon)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setDefaultIconColumn(java.lang.String icon)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setExpandedIcon(java.lang.String icon)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setExpandedIconColumn(java.lang.String icon)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setIndexColumn(java.lang.String col)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setLevelColumn(java.lang.String col)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setLink(java.lang.String lnk)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setLinkColumn(java.lang.String col)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setNameValuePairColumns(java.lang.String[] cols)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setTextColumn(java.lang.String col)` This method is for internal implementation only and should not be called by the user.
`abstract void` | `_setWhere(com.sas.collection.hlist.HListInterface wc)` This method is for internal implementation only and should not be called by the user.
`abstract java.lang.String` | `_validate()` This method is for internal implementation only and should not be called by the user.
`abstract void` | `close()` This method is for internal implementation only and should not be called by the user.

Method Detail

### _getDataSet

    java.lang.String _getDataSet()

  This method is for internal implementation only and should not be called by the user. getDataSet() should be called instead.

  See Also:
    `LevelTreeInterface.getDataSet()`

### _setDataSet

    void _setDataSet(java.lang.String ds)

  This method is for internal implementation only and should not be called by the user. setDataSet() should be called instead.

  See Also:
    `LevelTreeInterface.setDataSet(java.lang.String)`

### _getWhere

    com.sas.collection.hlist.HListInterface _getWhere()

  This method is for internal implementation only and should not be called by the user. getWhere() should be called instead.

  See Also:
    `LevelTreeInterface.getWhere()`

### _setWhere

    void _setWhere(com.sas.collection.hlist.HListInterface wc)

  This method is for internal implementation only and should not be called by the user. setWhere() should be called instead.

  See Also:
    `LevelTreeInterface.setWhere(java.lang.String)`

### _getDefaultIconColumn

    java.lang.String _getDefaultIconColumn()

  This method is for internal implementation only and should not be called by the user. getDefaultIconColumn() should be called instead.

### _setDefaultIconColumn

    void _setDefaultIconColumn(java.lang.String icon)

  This method is for internal implementation only and should not be called by the user. setDefaultIconColumn() should be called instead.

### _getDefaultIcon

    java.lang.String _getDefaultIcon()

  This method is for internal implementation only and should not be called by the user. getDefaultIcon() should be called instead.

### _setDefaultIcon

    void _setDefaultIcon(java.lang.String icon)

  This method is for internal implementation only and should not be called by the user. setDefaultIcon() should be called instead.

  See Also:
    `LevelTreeInterface.setDefaultImage(String)`

### _getExpandedIcon

    java.lang.String _getExpandedIcon()

  This method is for internal implementation only and should not be called by the user. getExpandedIcon() should be called instead.

### _setExpandedIcon

    void _setExpandedIcon(java.lang.String icon)

  This method is for internal implementation only and should not be called by the user. setExpandedIcon() should be called instead.

### _getExpandedIconColumn

    java.lang.String _getExpandedIconColumn()

  This method is for internal implementation only and should not be called by the user. getExpandedIconColumn() should be called instead.

### _setExpandedIconColumn

    void _setExpandedIconColumn(java.lang.String icon)

  This method is for internal implementation only and should not be called by the user. setExpandedIconColumn() should be called instead.

### _getLevelColumn

    java.lang.String _getLevelColumn()

  This method is for internal implementation only and should not be called by the user. getLevelColumn() should be called instead.

### _setLevelColumn

    void _setLevelColumn(java.lang.String col)

  This method is for internal implementation only and should not be called by the user. setLevelColumn() should be called instead.

### _getIndexColumn

    java.lang.String _getIndexColumn()

  This method is for internal implementation only and should not be called by the user. getIndexColumn() should be called instead.

### _setIndexColumn

    void _setIndexColumn(java.lang.String col)

  This method is for internal implementation only and should not be called by the user. setIndexColumn() should be called instead.

### _getLinkColumn

    java.lang.String _getLinkColumn()

  This method is for internal implementation only and should not be called by the user. getLinkColumn() should be called instead.

### _setLinkColumn

    void _setLinkColumn(java.lang.String col)

  This method is for internal implementation only and should not be called by the user. setLinkColumn() should be called instead.

### _getLink

    java.lang.String _getLink()

  This method is for internal implementation only and should not be called by the user. getLink() should be called instead.

### _setLink

    void _setLink(java.lang.String lnk)

  This method is for internal implementation only and should not be called by the user. setLink() should be called instead.

### _getNameValuePairColumns

    java.lang.String[] _getNameValuePairColumns()

  This method is for internal implementation only and should not be called by the user. getNameValuePairColumns() should be called instead.

  See Also:
    `LevelTreeInterface.getNameValuePairColumns()`

### _setNameValuePairColumns

    void _setNameValuePairColumns(java.lang.String[] cols)

  This method is for internal implementation only and should not be called by the user. setNameValuePairColumns() should be called instead.

  See Also:
    `LevelTreeInterface.setNameValuePairColumns(java.lang.String[])`

### _getTextColumn

    java.lang.String _getTextColumn()

  This method is for internal implementation only and should not be called by the user. getTextColumn() should be called instead.

### _setTextColumn

    void _setTextColumn(java.lang.String col)

  This method is for internal implementation only and should not be called by the user. setTextColumn() should be called instead.

### _getTreeNodes

    com.sas.collection.hlist.HListInterface _getTreeNodes()

  This method is for internal implementation only and should not be called by the user. getLevelTreeNodes() should be called instead.

### _validate

    java.lang.String _validate()

  This method is for internal implementation only and should not be called by the user.

### _isValid

    boolean _isValid()

  This method is for internal implementation only and should not be called by the user.

### close

    void close()

  This method is for internal implementation only and should not be called by the user. close() should be called instead.

  See Also:
    `LevelTreeInterface.close()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.